> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# wallettransacties weergeven

> factureringstransacties weergeven

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json GET /v1/public/accounts/{account_id}/billing/transactions
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/transactions:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: factureringstransacties weergeven
      description: >-
        Geef accountportefeuilletransacties weer met behulp van een
        vereenvoudigde openbare DTO.
      operationId: >-
        list_public_billing_transactions_v1_public_accounts__account_id__billing_transactions_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWalletTransactionHistoryResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicWalletTransactionHistoryResponse:
      properties:
        items:
          description: Wallet-transacties op deze pagina
          items:
            $ref: '#/components/schemas/PublicWalletTransactionResponse'
          title: Artikelen
          type: array
        page:
          description: Huidig, op één gebaseerd paginanummer
          title: Pagina
          type: integer
        page_size:
          description: Maximaal aantal items per pagina
          title: Paginagrootte
          type: integer
        total:
          description: Totaal aantal overeenkomende portemonneetransacties
          title: Totaal
          type: integer
      required:
        - page
        - page_size
        - total
      title: PublicWalletTransactionHistoryResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PublicWalletTransactionResponse:
      description: >-
        Invoer van de transactiegeschiedenis van openbare portemonnees met
        klantgerichte velden.
      properties:
        amount:
          description: Transactiebedrag
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Bedrag
          type: string
        balance_after:
          anyOf:
            - pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              type: string
            - type: 'null'
          description: Wallet-saldo na de transactie
          title: Saldo daarna
        currency:
          description: Valutacode van portemonnee
          title: Valuta
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Transactiebeschrijving
          title: beschrijving
        direction:
          description: Transactie richting
          title: Richting
          type: string
        effective_at:
          description: Effectieve tijdstempel van de transactie
          format: date-time
          title: Effectief bij
          type: string
        status:
          description: Transactiestatus van portemonnee
          title: Status
          type: string
        transaction_id:
          description: Wallet-transactie UUID
          format: uuid
          title: Transactie-ID
          type: string
        type:
          description: Transactietype Wallet
          title: Type
          type: string
      required:
        - transaction_id
        - type
        - status
        - effective_at
        - amount
        - direction
        - currency
      title: PublicWalletTransactionResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````